* Runs mortality for each background characteristic.

*Male.
Title 'Male'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if (wage  = 2 or wage  = 3 or wage  = 4).
compute sex = 1.

aggregate outfile = 'C:\MICS\SPSS\tmpresult.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).



*----------------------------------------------------------------.
*Female.
Title 'Female'.

get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4B.
if (CM5 = 1) ceb = ceb + CM6B.
if (CM7 = 1) ceb = ceb + CM8B.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8B.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute sex = 2.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break sex
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 1.
Title 'Akmola'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 1).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 1.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 2.
Title 'Aktobe'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 2).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 2.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.


*----------------------------------------------------------------.
*Region 3.
Title 'Almaty'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 3).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage = 3 or wage  = 4).
compute HH7 = 3.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
execute.
*----------------------------------------------------------------.
*Region 4.
Title 'Atyrau'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 4).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 4.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 5.
Title 'West Kazakhstan'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 5).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage = 3 or wage  = 4).
compute HH7 = 5.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 6.
Title 'Zhambyl'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 6).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 6.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 7.
Title 'Karaganda'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 7).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 7.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 8.
Title 'Kostanay'.

get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 8).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 8.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 9.
Title 'Kzylorda'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 9).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 9.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.


*----------------------------------------------------------------.
*Region 10.
Title 'Mangistau'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 10).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 10.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 11.
Title 'South Kazakhstan'.

get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 11).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or  wage  = 4).
compute HH7 = 11.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 12.
Title 'Pavlodar'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 12).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 12.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 13.
Title 'North Kazakhstan'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 13).
FILTER BY filter_$.
*weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 13.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 14.
Title 'East Kazakhstan'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 14).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 14.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 15.
Title 'Astana City'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 15).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 15.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Region 16.
Title 'Almaty City'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH7 = 16).
FILTER BY filter_$.
*weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute HH7 = 16.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break HH7
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.


*----------------------------------------------------------------.
*Urban.
Title 'Urban'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute hh6 = 1.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Rural.
Title 'Rural'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute hh6 = 2.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break hh6
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Mother's education.
Title 'Primary/Not Completed Secondary'.
* recoding variables women education level None and primary.
get file='c:\mics\spss\WM.sav'.
recode melevel (1=1) (else=2) into melevel.
select if (WM7 = 1).
compute filter_$ =  (melevel = 1).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute melevel = 1.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*2----------------------------------------------------------------.
*Mother's education .
Title 'Completed Secondary '.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  melevel = 2.
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute melevel = 2.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*3----------------------------------------------------------------.
*Mother's education .
Title 'Secondary specialized'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  melevel = 3.
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute melevel = 3.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*4----------------------------------------------------------------.
*Mother's education .
Title 'High'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  melevel = 4.
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute melevel = 4.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break melevel
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Poorest'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute Wlthind5 = 1.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles..
Title 'Second'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 2).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage = 3 or wage  = 4).
compute Wlthind5 = 2.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Middle'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or wage  = 4).
compute Wlthind5 = 3.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Fourth'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 4).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or  wage  = 4).
compute Wlthind5 = 4.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
*----------------------------------------------------------------.
*Wealth index quintiles.
Title 'Richest'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (Wlthind5 = 5).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.
* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage  = 3 or  wage  = 4).
compute Wlthind5 = 5.
aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break Wlthind5
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.
save outfile='c:\mics\spss\tmpresult.sav'.
******************Mother tongue of head.
*Language.
Title 'Kazakh'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HC1B = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2  or  wage  = 3  or  wage  = 4).
compute HC1B = 1.

aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HC1B
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.

******************Mother tongue of head.
*Language.
Title 'Russian'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HC1B = 2).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2  or  wage  = 3  or  wage  = 4).
compute HC1B = 2.
aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HC1B
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
******************Mother tongue of head.
*Language.
Title 'other'.
get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).
compute filter_$ =  (HC1B = 6).
FILTER BY filter_$.
weight by wmweight.
* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.
* Execute the bulk of the qfive process.
include file = 'C:\MICS\SPSS\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2  or  wage  = 3  or  wage  = 4).
compute HC1B = 6.
aggregate outfile = 'C:\MICS\SPSS\tmp.sav'
  /break HC1B
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).
get file 'C:\MICS\SPSS\tmpresult.sav'.
add files
  /file = *
  /file = 'C:\MICS\SPSS\tmp.sav'.
save outfile='C:\MICS\SPSS\tmpresult.sav'.
*----------------------------------------------------------------.
*Total.
Title 'Total'.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'c:\mics\spss\qfive setup.sps'.

* Calculate mean of 20-24 and 25-29 and 30-34 group from the EAST model.
select if(wage  = 2 or wage = 3 or  wage  = 4).
compute total = 1.

aggregate outfile = 'c:\mics\spss\tmp.sav'
  /break total
  /imr = mean(imrea)
  /u5mr = mean(u5mrea).

get file 'c:\mics\spss\tmpresult.sav'.
add files
  /file = *
  /file = 'c:\mics\spss\tmp.sav'.



*----------------------------------------------------------------.

variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label sex 'Sex'.
variable label hh7 'Region'.
variable label hh6 'Area'.
variable label Wlthind5 'Wealth index quintiles'.
variable label melevel "Mother's education".
variable label HC1B "Mother tongue of head".

value label sex 1 'Male' 2 'Female'.
value label hh7
1 'Akmola'
2 'Aktobe'
3 'Almaty'
4 'Atyrau'
5 'West Kazakhstan'
6 'Zhambyl'
7 'Karaganda'
8 'Kostanay'
9 'Kzylorda'
10 'Mangistau'
11 'South Kazakhstan'
12 'Pavlodar'
13 'North Kazakhstan'
14 'East Kazakhstan'
15 'Astana City'
16 'Almaty City'.
value label HC1B 1 'Kazakh' 2 'russian' 6 'Other'.
value label hh6 1 'Urban' 2 'Rural'.
value label wlthind5 1 'Poorest' 2 'Second' 3 "Middle" 4 "Fourth" 5 "Richest".
value label melevel 1 'Primary/Not Completed Secondary' 2 'Completed Secondary ' 3 'Secondary specialized' 4 'High'.
value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

* Comment - table below commented out and replaced by custom table
table
  /observation = imrm u5mrm
  /table= sex +hh7+ hh6 +wlthind5 + melevel + HC1B + total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Child mortality" 
             "Infant and under-five mortality rates [BASED ON EAST], Kazakhstan, 2006"
/caption
       "* MICS indicator 2; MDG indicator 14" 
       "** MICS indicator 1; MDG indicator13".

CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE sex[C]+hh7[C]+hh6[C]+ wlthind5[C] + melevel[C]+ HC1B[C]+ total[C] BY 
         imrm[S][MEAN,'',F7.0]+u5mrm[S][MEAN,'',F7.0]
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE="Table CM.1: Child mortality"
         "Infant and under-five mortality rates [BASED ON EAST], Kazakhstan, 2006"
  CAPTION="* MICS indicator 2; MDG indicator 14"
          "** MICS indicator 1; MDG indicator13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
